org.eclipse.actf.model.dom.odf.style

## Interface StyleElement

All Superinterfaces:
  Element, Node, ODFElement

All Known Subinterfaces:
  DefaultStyleElement, ListLevelStyleBulletElement, ListLevelStyleNumberElement, ListStyleElement

    public interface StyleElement
    extends ODFElement

Interface for <style:style> element.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`void` `addListener(IStyleListener listener, String topic)`
`StyleElement` `createChild(String family)`
`String` `getAttrStyleDataStyleName()`
`String` `getAttrStyleMasterPageName()`
`String` `getAttrStyleParentStyleName()`
`String` `getFamily()`
`String` `getName()`
`StylePropertiesBase` `getPropertyElement(long idx)`
`long` `getPropertySize()`
`void` `putPropertyElement(StylePropertiesBase property)`
`void` `removeListener(IStyleListener listener, String topic)`
`void` `setName(String name)`

### Methods inherited from interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### getAttrStyleMasterPageName

    String getAttrStyleMasterPageName()

#### getAttrStyleParentStyleName

    String getAttrStyleParentStyleName()

#### getAttrStyleDataStyleName

    String getAttrStyleDataStyleName()

#### createChild

    StyleElement createChild(String family)

#### getFamily

    String getFamily()

#### getName

    String getName()

#### setName

    void setName(String name)

#### getPropertyElement

    StylePropertiesBase getPropertyElement(long idx)

#### getPropertySize

    long getPropertySize()

#### putPropertyElement

    void putPropertyElement(StylePropertiesBase property)

#### addListener

    void addListener(IStyleListener listener,
                   String topic)

#### removeListener

    void removeListener(IStyleListener listener,
                      String topic)